# Generated by Django 2.2.7 on 2019-12-01 04:26

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Cliente',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=50)),
                ('apellidos', models.CharField(max_length=50)),
                ('email', models.EmailField(max_length=254)),
                ('movil', models.IntegerField()),
                ('fijo', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Cliente',
                'verbose_name_plural': 'Clientes',
            },
        ),
        migrations.CreateModel(
            name='Comuna',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=50)),
            ],
            options={
                'verbose_name': 'Comuna',
                'verbose_name_plural': 'Comunas',
            },
        ),
        migrations.CreateModel(
            name='Galeria',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('descripcion', models.CharField(max_length=100)),
                ('contenido', models.BinaryField()),
            ],
            options={
                'verbose_name': 'Galeriax',
                'verbose_name_plural': 'Galerias',
            },
        ),
        migrations.CreateModel(
            name='Region',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=50)),
            ],
            options={
                'verbose_name': 'Región',
                'verbose_name_plural': 'Regiones',
            },
        ),
        migrations.CreateModel(
            name='TipoAnuncio',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='TipoInmueble',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('nombre', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Direccion',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('calle', models.CharField(max_length=150)),
                ('numero', models.CharField(max_length=7)),
                ('detalle', models.CharField(blank=True, max_length=255, null=True)),
                ('codigo_postal', models.IntegerField(blank=True, null=True)),
                ('id_comuna', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='inicio.Comuna')),
                ('id_region', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='inicio.Region')),
            ],
            options={
                'verbose_name': 'Direccións',
                'verbose_name_plural': 'Direcciones',
            },
        ),
        migrations.CreateModel(
            name='Cotizacion',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('fecha_cotizacion', models.DateField(default=django.utils.timezone.now)),
                ('id_cliente', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='inicio.Cliente')),
            ],
            options={
                'verbose_name': 'Cotización',
                'verbose_name_plural': 'Cotizaciones',
            },
        ),
        migrations.AddField(
            model_name='comuna',
            name='id_region',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='inicio.Region'),
        ),
        migrations.CreateModel(
            name='Anuncio',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('precio', models.IntegerField()),
                ('metros_cuadrados', models.IntegerField()),
                ('cantidad_dormitorios', models.IntegerField()),
                ('cantidad_banios', models.IntegerField()),
                ('descripcion', models.CharField(max_length=500)),
                ('fecha_publicacion', models.DateField(default=django.utils.timezone.now)),
                ('fecha_modificacion', models.DateField(default=django.utils.timezone.now)),
                ('id_direccion', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='inicio.Direccion')),
                ('id_galeria', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='inicio.Galeria')),
                ('id_tipo_anuncio', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='inicio.TipoAnuncio')),
                ('id_tipo_inmueble', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='inicio.TipoInmueble')),
            ],
            options={
                'verbose_name': 'Anuncio',
                'verbose_name_plural': 'Anuncios',
            },
        ),
    ]
